# Note that this is NOT a relocatable package
%define ver      1.8.7
%define rel      3
%define prefix   /usr

Summary: libXML library
Name: libxml
Version: %ver
Release: %rel
Serial: 2000041701
Copyright: LGPL
Group: X11/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/libxml/libxml-%{version}.tar.gz
Patch0: libxml-1.8.17-CAN-2004-0989.patch
Patch1:	libxml-1.8.10-CAN-2004-0110.patch
BuildRoot: /var/tmp/%{name}-%{version}-root
Provides: libxml.so.0
URL: http://rpmfind.net/veillard/XML/
Prereq: /sbin/install-info
Distribution: TurboLinux
# NoSource: 0

%description
This library allows you to manipulate XML files.

%package devel
Summary: Libraries, includes, etc to develop libxml applications
Group: X11/libraries
Requires: libxml

%description devel
Libraries, include files, etc you can use to develop libxml applications.


%changelog
* Mon Dec 20 2004 Shiro Yamada <shiro@miraclelinux.com>
- applied a fix for CAN-2004-0110

* Mon Nov 29 2004 Shiro Yamada <shiro@miraclelinux.com>
- applied a fix for CAN-2004-0989

* Mon Apr 17 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 1.8.7

*Wed Feb 02 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

* Thu Sep 23 1999 Daniel Veillard <Daniel.Veillard@w3.org>

- corrected the spec file alpha stuff
- switched to version 1.7.1
- Added validation, XPath, nanohttp, removed memory leaks
- Renamed CHAR to xmlChar

* Wed Jun  2 1999 Daniel Veillard <Daniel.Veillard@w3.org>

- Switched to version 1.1: SAX extensions, better entities support, lots of
  bug fixes.

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>

- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>

- Built release 0.30

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
%ifarch alpha
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --host=alpha-redhat-linux --prefix=%prefix --sysconfdir="/etc"
%else
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --sysconfdir="/etc"
%endif
else
%ifarch alpha
  CFLAGS="$RPM_OPT_FLAGS" ./configure --host=alpha-redhat-linux --prefix=%prefix --sysconfdir="/etc"
%else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir="/etc"
%endif
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install
#
# hack to get libxml.so.0 too !
# Get rid of it once deps to libxml.so.0 have disapeared.
#
if [ -f $RPM_BUILD_ROOT/%{prefix}/lib/libxml.so.1.8.6 ]
then
    (cd $RPM_BUILD_ROOT/%{prefix}/lib/ ; cp libxml.so.1.8.6 libxml.so.0.99.0 ; ln -sf libxml.so.0.99.0 libxml.so.0)
fi


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%{prefix}/lib/lib*.so.*
%{prefix}/bin/xml-config

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/include/*
